OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.DepthBoundsTest

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTDepthBoundsTest :: MonadIO m => m Bool
- gl_EXT_depth_bounds_test :: Bool
- gl_DEPTH_BOUNDS_EXT :: GLenum
- gl_DEPTH_BOUNDS_TEST_EXT :: GLenum
- glDepthBoundsEXT :: MonadIO m => GLclampd -> GLclampd -> m ()

# Extension Support

glGetEXTDepthBoundsTest :: MonadIO m => m Bool

Is the EXT_depth_bounds_test extension supported?

gl_EXT_depth_bounds_test :: Bool

Is the EXT_depth_bounds_test extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDepthBoundsTest` in those cases instead.

# Enums

gl_DEPTH_BOUNDS_EXT :: GLenum

gl_DEPTH_BOUNDS_TEST_EXT :: GLenum

# Functions

glDepthBoundsEXT

Arguments

:: MonadIO m |
=> GLclampd | `zmin` of type `ClampedFloat64`.
-> GLclampd | `zmax` of type `ClampedFloat64`.
-> m () |